<template>
  <div v-if="posts.length" class="posts">
    <h3>Список пользователей:</h3>
    <transition-group name="user-list">
      <post-item 
        v-for="post in posts" 
        :key="post.id" 
        :post="post" 
        @remove="$emit('remove', post)"
      />
    </transition-group>
  </div>
  <div v-else>
    <h1 style="color: red">Список пользователей пуст</h1>
  </div>
</template>


<script>
import PostItem from './PostItem.vue';

export default {
  components: {
    PostItem
  },
  props: {
    posts: {
      type: Array,
      required: true,
    }
  }
}

</script>


<style scoped>
.user-list-item {
  display: inline-block;
  margin-right: 10px;
}
.user-list-enter-active,
.user-list-leave-active {
  transition: all 0.4s ease;
}
.user-list-enter-from,
.user-list-leave-to {
  opacity: 0;
  transform: translateX(30px);
}
.user-list-move {
  transition: transform 0.4s ease;
}
</style>